<?php

/**
 * Theme functions and definitions
 *
 * @package Top Newspaper topnewspaper
 */
if (!function_exists('topnewspaper_enqueue_styles')) :
	/**
	 * @since 0.4
	 */
	function topnewspaper_enqueue_styles()
	{
		wp_enqueue_style('newspaperss-style-parent', get_template_directory_uri() . '/style.css');
		wp_enqueue_style('topnewspaper-style', get_stylesheet_directory_uri() . '/style.css', array('newspaperss-style-parent'), '1.0');
	}

endif;
add_action('wp_enqueue_scripts', 'topnewspaper_enqueue_styles', 9999);

/**
 * Register widget area.
 *
 * @link http://codex.wordpress.org/Function_Reference/register_sidebar
 */
function topnewspaper_widgets_init()
{
	register_sidebar(array(
		'name'          => __('widgets under featured post', 'top-newspaper'),
		'id'            => 'sidebar-underfeaturedwidgets',
		'before_widget' => '<div id="%1$s" class="widget %2$s " data-widget-id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>'
	));
}

add_action('widgets_init', 'topnewspaper_widgets_init');

/* Remove parent theme page templates */

function topnewspaper_remove_page_templates($page_templates)
{
	unset($page_templates['index.php']);
	unset($page_templates['front-page.php']);
	return $page_templates;
}
add_filter('theme_page_templates', 'topnewspaper_remove_page_templates');
