<?php

/**
 * Slider template
 *
 * @package top-newspaper
 */
?>

<!--Top Section start-->
<?php
$category_show_top = get_theme_mod('category_toppost_show');
$post_order_by_top = get_theme_mod('top_post_order_by', 'date');

$args = array(
  'post_type' => 'post',
  'posts_per_page' => 2,
  'cat' => $category_show_top,
  'orderby' => $post_order_by_top,
  'ignore_sticky_posts'   => 1
);
$top_left_post = new WP_Query($args); ?>

<div class="cell large-3 medium-12 small-12 nopadding-left large-order-1 small-order-2">
  <div class="slider-right">
    <div class=" grid-x">
      <?php if ($top_left_post->have_posts()) : ?>
        <?php /* Start the Loop */ ?>
        <?php while ($top_left_post->have_posts()) : $top_left_post->the_post(); ?>
          <?php $postid = get_the_ID();
          $firstPosts[] = $postid; ?>
          <div class="cell large-12 medium-6 small-6 ">
            <article class="post-wrap ">
              <div class="post-image-warp">
                <div class="post-thumb-overlay"></div>
                <a href="<?php echo esc_url(get_permalink()); ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="bookmark">
                  <span class="thumbnail-post">
                    <?php
                    if (has_post_thumbnail()) { ?>
                      <?php the_post_thumbnail('newspaperss-medium', array('class' => 'object-fit-postimg')); ?>
                    <?php  } else { ?>
                      <img class="object-fit-postimg" src="<?php echo get_template_directory_uri(); ?>/images/right-thum.jpg" / />
                    <?php } ?>

                  </span>
                </a>
              </div>
              <div class="post-header-outer  is-absolute ">
                <div class="post-header">
                  <?php if (has_category()) { ?>
                    <div class="post-cat-info ">
                      <?php newspaperss_firstcategory_link(); ?>
                    </div>
                  <?php } ?>
                  <?php the_title(sprintf('<h3 class="post-title is-size-4 entry-title"><a class="post-title-link" href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                  <div class="post-meta-info ">
                    <span class="meta-info-el meta-info-author">
                      <a class="vcard author" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                        <?php the_author(); ?>
                      </a>
                    </span>
                    <span class="meta-info-el meta-info-date ">
                      <time class="date update">
                        <span><?php the_time(get_option('date_format')); ?></span>
                      </time>
                    </span>
                  </div>
                </div>
              </div>
            </article>
          </div>
        <?php endwhile; ?>
      <?php else : ?>
        <?php wp_reset_postdata(); ?>
      <?php endif; ?>
    </div>
  </div>
</div>


<!--Slider start-->
<?php
$category_show = get_theme_mod('category_show');
$post_order_by = get_theme_mod('post_order_by', 'date');

$args = array(
  'post_type' => 'post',
  'posts_per_page' => 4,
  'cat' => $category_show,
  'orderby' => $post_order_by,
  'ignore_sticky_posts'   => true
);
$main_slider = new WP_Query($args);
?>
<div class="cell large-auto small-12 large-order-1 small-order-1">
  <div id="slider" class="slick-slider">
    <?php if ($main_slider->have_posts()) : ?>
      <?php /* Start the Loop */ ?>
      <?php while ($main_slider->have_posts()) : $main_slider->the_post(); ?>
        <?php
        if (has_post_thumbnail()) {
          $featured_img_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID), 'newspaperss-large');
        } else {
          $featured_img_url = get_template_directory_uri() . '/images/slide.jpg';
        } ?>
        <!-- items mirrored twice, total of 4 -->
        <div class=" projectitem">
          <a class="sliderlink" href="<?php echo esc_url(get_permalink()); ?>"> </a>
          <div class="slider-container" style="background: url(<?php echo esc_url($featured_img_url); ?>)50% no-repeat;">
            <div class="post-header-outer is-absolute">
              <div class="post-header">
                <div class="post-cat-info ">
                  <?php newspaperss_firstcategory_link(); ?>
                </div>
                <?php the_title(sprintf('<h3 class="post-title is-size-2"><a class="post-title-link" href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                <div class="post-meta-info ">
                  <div class="post-meta-info-left">
                    <span class="meta-info-el meta-info-author">
                      <a class="vcard author" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                        <?php the_author(); ?>
                      </a>
                    </span>
                    <span class="meta-info-el meta-info-date">
                      <time class="date update"><?php the_time(get_option('date_format')); ?></time>
                    </span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      <?php endwhile; ?>
    <?php else : ?>
      <?php wp_reset_postdata(); ?>
    <?php endif; ?>
  </div>
</div>

<!--Slider END-->
<?php

$args = array(
  'post_type' => 'post',
  'posts_per_page' => 2,
  'cat' => $category_show_top,
  'orderby' => $post_order_by_top,
  'ignore_sticky_posts'   => 1,
  'post__not_in' => $firstPosts,
);
$top_right_post = new WP_Query($args); ?>

<div class="cell large-3 medium-12 small-12 large-order-1 small-order-2 nopadding-left">
  <div class="slider-right">
    <div class=" grid-x">
      <?php if ($top_right_post->have_posts()) : ?>
        <?php /* Start the Loop */ ?>
        <?php while ($top_right_post->have_posts()) : $top_right_post->the_post(); ?>

          <div class="cell large-12 medium-6 small-6 ">
            <article class="post-wrap ">
              <div class="post-image-warp">
                <div class="post-thumb-overlay"></div>
                <a href="<?php echo esc_url(get_permalink()); ?>" title="<?php echo esc_attr(get_the_title()); ?>" rel="bookmark">
                  <span class="thumbnail-post">
                    <?php
                    if (has_post_thumbnail()) { ?>
                      <?php the_post_thumbnail('newspaperss-medium', array('class' => 'object-fit-postimg')); ?>
                    <?php  } else { ?>
                      <img class="object-fit-postimg" src="<?php echo get_template_directory_uri(); ?>/images/right-thum.jpg" / />
                    <?php } ?>

                  </span>
                </a>
              </div>
              <div class="post-header-outer  is-absolute ">
                <div class="post-header">
                  <?php if (has_category()) { ?>
                    <div class="post-cat-info ">
                      <?php newspaperss_firstcategory_link(); ?>
                    </div>
                  <?php } ?>
                  <?php the_title(sprintf('<h3 class="post-title is-size-4 entry-title"><a class="post-title-link" href="%s" rel="bookmark">', esc_url(get_permalink())), '</a></h3>'); ?>
                  <div class="post-meta-info ">
                    <span class="meta-info-el meta-info-author">
                      <a class="vcard author" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
                        <?php the_author(); ?>
                      </a>
                    </span>
                    <span class="meta-info-el meta-info-date ">
                      <time class="date update">
                        <span><?php the_time(get_option('date_format')); ?></span>
                      </time>
                    </span>
                  </div>
                </div>
              </div>
            </article>
          </div>
        <?php endwhile; ?>
      <?php else : ?>
        <?php wp_reset_postdata(); ?>
      <?php endif; ?>
    </div>
  </div>
</div>